Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 162687 - adds gzip support if kernel modules are compressed by gzip
Summary: adds gzip support if kernel modules are compressed by gzip
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mkinitrd
Version: 3
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Peter Jones
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-07 17:24 UTC by Peter Warasin
Modified: 2008-02-12 01:17 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-02-12 01:17:09 UTC


Attachments (Terms of Use)
patch which adds gzip support (deleted)
2005-07-07 17:24 UTC, Peter Warasin
no flags Details | Diff

Description Peter Warasin 2005-07-07 17:24:14 UTC
Description of problem:
one (like IPCop and www.efw.it) like to compress the kernel modules to save
space. this patch decompresses the modules during installing them in the initrd,
if the kernel modules are gzip'd.

previously i would like to copy them as they are and put gzip on the initrd, but
that is not possibly because it is not static linked.

Version-Release number of selected component (if applicable):
4.1.18

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:

Expected results:


Additional info:
patch was needed for www.efw.it rc6 and has been developed by www.endian.it

Comment 1 Peter Warasin 2005-07-07 17:24:14 UTC
Created attachment 116484 [details]
patch which adds gzip support

Comment 2 Martin Blom 2006-04-24 10:57:06 UTC
I'd love to see this implemented. On my FC5 installation it saves 74 MB per
flavour on the root disk and it even boots a little bit faster too (less than a
second, though.)

I did't know about Peter's patch so I'm posting mine too. (It only works if the
extension is left as '.ko', not '.ko.gz')

--- mkinitrd.orig       2006-04-24 11:25:55.000000000 +0200
+++ mkinitrd    2006-04-24 11:32:27.000000000 +0200
@@ -798,11 +798,14 @@
 ln -s /sbin/nash $MNTIMAGE/sbin/modprobe

 for MODULE in $MODULES; do
-    if [ -x /usr/bin/strip ]; then
-       /usr/bin/strip -g $verbose $MODULE -o $MNTIMAGE/lib/$(basename $MODULE)
+    if [ -x /usr/bin/gzip ] && /usr/bin/gzip -t $MODULE 2> /dev/null ; then
+       /usr/bin/gzip $verbose -d -c $MODULE > $MNTIMAGE/lib/$(basename $MODULE)
     else
        cp $verbose -a $MODULE $MNTIMAGE/lib
     fi
+    if [ -x /usr/bin/strip ]; then
+       /usr/bin/strip -g $verbose $MNTIMAGE/lib/$(basename $MODULE)
+    fi
 done

 # mknod'ing the devices instead of copying them works both with and

Comment 3 Matthew Miller 2006-07-10 23:25:30 UTC
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!


Comment 4 petrosyan 2008-02-12 01:17:09 UTC
Fedora Core 3 is not maintained anymore.

Setting status to "INSUFFICIENT_DATA". If you can reproduce this bug in the
current Fedora release, please reopen this bug and assign it to the
corresponding Fedora version.


Note You need to log in before you can comment on or make changes to this bug.